@import "./../../../../variables.scss";

.about{

    .about-description{
        margin-top: 30px;
        max-width: 480px;
    }

    .about-img-container{
        width: 324px;
        margin: auto;

        &:after{
            content: '';
            // border: 2px solid $Green;
            z-index: 0;
            display: block;
            position: relative;
            width: 300px;
            height: 300px;
            border-radius: 3px;
            bottom: 290px;
            left: 23px;

        }

        img{
            z-index: 2;
            position: relative;
        }
    }

    .skills-list{
        display: grid;
        grid-template-columns: repeat(2,minmax(140px,200px));
        overflow: hidden;
        padding: 0;
        margin: 20px 0 0 0;
        list-style: none;
    }

    .skill-element{
        position: relative;
        margin-bottom: 10px;
        padding-left: 20px;
        font-size: 13px;
        font-family: $CodeFont;
        color: $Slate;
        span{
          padding-bottom: 5px;
        }

        &:before {
            content: '▹';
            position: absolute;
            left: 0;
            color: $Green;
            font-size: 14px;
            line-height: 12px;
        }
    }

}

@media (min-width: 992px) and (max-width: 1300px){
    .about-img-container{
        margin-left: auto;
        margin-right: 0;
    }
}

@media (max-width: 500px){
    .about{
        .about-img-container img{
            width: 200px;
            height: 200px;
        }
        .about-img-container:after {
            width: 200px;
            height: 200px;
            bottom: 190px;
            left: 74px;
        }
    }
}

@media (max-width: 500px){
    .about{

        .about-img-container {
            width: 100%;

            img{
                width: 180px;
                height: 180px;
            }

            &:after {
                display: none;
            }
        }
    }
}

